Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.reader.relax
Class RELAXCoreIslandSchemaReader

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          com.sun.msv.reader.GrammarReader
              com.sun.msv.reader.relax.RELAXReader
                  com.sun.msv.reader.relax.core.RELAXCoreReader
                      com.sun.msv.relaxns.reader.relax.RELAXCoreIslandSchemaReader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, IDContextProvider2, org.iso_relax.dispatcher.IslandSchemaReader, ValidationContext, org.xml.sax.XMLFilter, org.xml.sax.XMLReader, XSDatatypeResolver

public class RELAXCoreIslandSchemaReader
extends RELAXCoreReader
implements org.iso_relax.dispatcher.IslandSchemaReader

reads RELAX-Namespace-extended RELAX Core.

Author:
  Kohsuke KAWAGUCHI

Nested Class Summary

Nested classes inherited from class com.sun.msv.reader.GrammarReader
`GrammarReader.BackPatch, GrammarReader.BackwardReferenceMap, GrammarReader.ChainPrefixResolver, GrammarReader.PrefixResolver`

Field Summary

Fields inherited from class com.sun.msv.reader.relax.core.RELAXCoreReader
`ERR_EXPROTED_HEDGERULE_CONSTRAINT, ERR_ID_ABUSE, ERR_ID_ABUSE_1, ERR_INCONSISTENT_TARGET_NAMESPACE, ERR_LABEL_COLLISION, ERR_MISSING_TARGET_NAMESPACE, ERR_MORE_THAN_ONE_INLINE_TAG, ERR_MULTIPLE_ATTPOOL_DECLARATIONS, ERR_MULTIPLE_ATTRIBUTE_CONSTRAINT, ERR_MULTIPLE_TAG_DECLARATIONS, ERR_NAMESPACE_NOT_SUPPROTED, ERR_ROLE_COLLISION, ERR_UNDEFINED_ATTPOOL, ERR_UNDEFINED_ELEMENTRULE, ERR_UNDEFINED_HEDGERULE, ERR_UNDEFINED_TAG, WRN_ILLEGAL_RELAXCORE_VERSION, WRN_NO_EXPROTED_LABEL`

Fields inherited from class com.sun.msv.reader.relax.RELAXReader
`ERR_ILLEGAL_OCCURS, ERR_MISPLACED_OCCURS, RELAXCoreNamespace, sfactory`

Fields inherited from class com.sun.msv.reader.GrammarReader
`backwardReference, basePrefixResolver, controller, ERR_BAD_ATTRIBUTE_VALUE, ERR_BAD_TYPE, ERR_CHARACTERS, ERR_CONFLICTING_ATTRIBUTES, ERR_DATATYPE_ALREADY_DEFINED, ERR_DISALLOWED_ATTRIBUTE, ERR_FRAGMENT_IDENTIFIER, ERR_ILLEGAL_FINAL_VALUE, ERR_MALPLACED_ELEMENT, ERR_MISSING_ATTRIBUTE, ERR_MISSING_ATTRIBUTE_2, ERR_MISSING_CHILD_EXPRESSION, ERR_MISSING_CHILD_TYPE, ERR_MISSING_TOPLEVEL, ERR_MORE_THAN_ONE_CHILD_EXPRESSION, ERR_MORE_THAN_ONE_CHILD_TYPE, ERR_RECURSIVE_DATATYPE, ERR_RECURSIVE_INCLUDE, ERR_RUNAWAY_EXPRESSION, ERR_UNDEFINED_DATATYPE, locator, parserFactory, pool, prefixResolver, WRN_DEPRECATED_TYPENAME, WRN_MAYBE_WRONG_NAMESPACE`

Constructor Summary
`RELAXCoreIslandSchemaReader(GrammarReaderController controller, javax.xml.parsers.SAXParserFactory parserFactory, ExpressionPool pool, java.lang.String expectedTargetnamespace)`

Method Summary
`State` | `createExpressionChildState(State parent, StartTagInfo tag)` this method must be implemented by the derived class to create language-default expresion state.
`org.iso_relax.dispatcher.IslandSchema` | `getSchema()`

Methods inherited from class com.sun.msv.reader.relax.core.RELAXCoreReader
`addUserDefinedType, getRELAXCoreSchema4Schema, getResult, getResultAsGrammar, parse, parse, resolveXSDatatype`

Methods inherited from class com.sun.msv.reader.relax.RELAXReader
`createFacetState`

Methods inherited from class com.sun.msv.reader.GrammarReader
`_parse, addBackPatchJob, addBackPatchJob, combineURI, combineURL, detectUndefinedOnes, endPrefixMapping, getBackwardCompatibleType, getBaseUri, getCurrentState, getDeclaredLocationOf, isNotation, isUnparsedEntity, iterateInscopeNamespaces, onID, parse, parse, popState, pushState, reportError, reportError, reportError, reportError, reportError, reportError, reportError, reportError, reportWarning, reportWarning, reportWarning, reportWarning, resolveLocation, resolveNamespacePrefix, runBackPatchJob, setDeclaredLocationOf, setDocumentLocator, splitQName, startPrefixMapping, switchSource, switchSource`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### RELAXCoreIslandSchemaReader

    public RELAXCoreIslandSchemaReader(GrammarReaderController controller,
                                       javax.xml.parsers.SAXParserFactory parserFactory,
                                       ExpressionPool pool,
                                       java.lang.String expectedTargetnamespace)
                                throws org.xml.sax.SAXException,
                                       javax.xml.parsers.ParserConfigurationException

Method Detail

### getSchema

    public final org.iso_relax.dispatcher.IslandSchema getSchema()

  Specified by:
    `getSchema` in interface `org.iso_relax.dispatcher.IslandSchemaReader`

### createExpressionChildState

    public State createExpressionChildState(State parent,
                                            StartTagInfo tag)

  Description copied from class: `GrammarReader`
  this method must be implemented by the derived class to create language-default expresion state.

  Overrides:
    `createExpressionChildState` in class `RELAXCoreReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD